MetadataRolesOperations Class

MetadataRolesOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
MetadataRolesOperations

Constructor

MetadataRolesOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Methods

list

Lists roles for Purview Account.

list

Lists roles for Purview Account.

list(**kwargs: Any) -> AsyncIterable[Any]

Returns

An iterator like instance of JSON object

Return type

AsyncItemPaged[<xref:Any>]

Exceptions

Examples


   # response body for status code(s): 200
   response.json() == {
       "nextLink": "str",  # Optional.
       "values": [
           {
               "id": "str",  # Optional. The Id of role.
               "name": "str",  # Optional. The name of role.
               "properties": {
                   "cnfCondition": [
                       [
                           {
                               "attributeName": "str",  # Optional. AttributeName.
                               "attributeValueExcludedIn": [
                                   "str"  # Optional. List of values excluded for attribute.
                               ],
                               "attributeValueExcludes": "str",  # Optional. Value excluded for attribute.
                               "attributeValueIncludedIn": [
                                   "str"  # Optional. List of values for attribute.
                               ],
                               "attributeValueIncludes": "str"  # Optional. Value for attribute.
                           }
                       ]
                   ],
                   "description": "str",  # Optional. The description of role.
                   "dnfCondition": [
                       [
                           {
                               "attributeName": "str",  # Optional. AttributeName.
                               "attributeValueExcludedIn": [
                                   "str"  # Optional. List of values excluded for attribute.
                               ],
                               "attributeValueExcludes": "str",  # Optional. Value excluded for attribute.
                               "attributeValueIncludedIn": [
                                   "str"  # Optional. List of values for attribute.
                               ],
                               "attributeValueIncludes": "str"  # Optional. Value for attribute.
                           }
                       ]
                   ],
                   "friendlyName": "str",  # Optional. The friendly name of role.
                   "provisioningState": "str",  # Optional. The provisioningState of role.
                   "roleType": "str",  # Optional. The type of role.
                   "version": 0.0  # Optional. The version of role.
               },
               "type": "str"  # Optional. The type of role.
           }
       ]
   }